Sessions auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"acus_consumed": 123,
"created_at": 123,
"org_id": "<string>",
"pull_requests": [
{
"pr_state": "<string>",
"pr_url": "<string>"
}
],
"session_id": "<string>",
"tags": [
"<string>"
],
"updated_at": 123,
"url": "<string>",
"child_session_ids": [
"<string>"
],
"is_archived": false,
"parent_session_id": "<string>",
"playbook_id": "<string>",
"service_user_id": "<string>",
"structured_output": {},
"subcategory": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sitzungen (Organisation)
Sessions auflisten
Sitzungen auflisten
GET
/
v3
/
organizations
/
{org_id}
/
sessions
Sessions auflisten
Berechtigungen
ViewOrgSessions auf Organisationsebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Abfrageparameter
Show child attributes
Show child attributes
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, falls dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Performancegründen ausgelassen werden).
⌘I

